<?php
 
 
 

namespace PhpWA\Protocol\Proto\ChatRowOpaqueData\DraftMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class CtwaContextData extends \Google\Protobuf\Internal\Message
{
    


    protected $conversionSource = null;
    


    protected $conversionData = null;
    


    protected $sourceUrl = null;
    


    protected $sourceId = null;
    


    protected $sourceType = null;
    


    protected $title = null;
    


    protected $description = null;
    


    protected $thumbnail = null;
    


    protected $thumbnailUrl = null;
    


    protected $mediaType = null;
    


    protected $mediaUrl = null;
    


    protected $isSuspiciousLink = null;

    



















    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getConversionSource()
    {
        return isset($this->conversionSource) ? $this->conversionSource : '';
    }

    public function hasConversionSource()
    {
        return isset($this->conversionSource);
    }

    public function clearConversionSource()
    {
        unset($this->conversionSource);
    }

    




    public function setConversionSource($var)
    {
        GPBUtil::checkString($var, True);
        $this->conversionSource = $var;

        return $this;
    }

    



    public function getConversionData()
    {
        return isset($this->conversionData) ? $this->conversionData : '';
    }

    public function hasConversionData()
    {
        return isset($this->conversionData);
    }

    public function clearConversionData()
    {
        unset($this->conversionData);
    }

    




    public function setConversionData($var)
    {
        GPBUtil::checkString($var, False);
        $this->conversionData = $var;

        return $this;
    }

    



    public function getSourceUrl()
    {
        return isset($this->sourceUrl) ? $this->sourceUrl : '';
    }

    public function hasSourceUrl()
    {
        return isset($this->sourceUrl);
    }

    public function clearSourceUrl()
    {
        unset($this->sourceUrl);
    }

    




    public function setSourceUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->sourceUrl = $var;

        return $this;
    }

    



    public function getSourceId()
    {
        return isset($this->sourceId) ? $this->sourceId : '';
    }

    public function hasSourceId()
    {
        return isset($this->sourceId);
    }

    public function clearSourceId()
    {
        unset($this->sourceId);
    }

    




    public function setSourceId($var)
    {
        GPBUtil::checkString($var, True);
        $this->sourceId = $var;

        return $this;
    }

    



    public function getSourceType()
    {
        return isset($this->sourceType) ? $this->sourceType : '';
    }

    public function hasSourceType()
    {
        return isset($this->sourceType);
    }

    public function clearSourceType()
    {
        unset($this->sourceType);
    }

    




    public function setSourceType($var)
    {
        GPBUtil::checkString($var, True);
        $this->sourceType = $var;

        return $this;
    }

    



    public function getTitle()
    {
        return isset($this->title) ? $this->title : '';
    }

    public function hasTitle()
    {
        return isset($this->title);
    }

    public function clearTitle()
    {
        unset($this->title);
    }

    




    public function setTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->title = $var;

        return $this;
    }

    



    public function getDescription()
    {
        return isset($this->description) ? $this->description : '';
    }

    public function hasDescription()
    {
        return isset($this->description);
    }

    public function clearDescription()
    {
        unset($this->description);
    }

    




    public function setDescription($var)
    {
        GPBUtil::checkString($var, True);
        $this->description = $var;

        return $this;
    }

    



    public function getThumbnail()
    {
        return isset($this->thumbnail) ? $this->thumbnail : '';
    }

    public function hasThumbnail()
    {
        return isset($this->thumbnail);
    }

    public function clearThumbnail()
    {
        unset($this->thumbnail);
    }

    




    public function setThumbnail($var)
    {
        GPBUtil::checkString($var, True);
        $this->thumbnail = $var;

        return $this;
    }

    



    public function getThumbnailUrl()
    {
        return isset($this->thumbnailUrl) ? $this->thumbnailUrl : '';
    }

    public function hasThumbnailUrl()
    {
        return isset($this->thumbnailUrl);
    }

    public function clearThumbnailUrl()
    {
        unset($this->thumbnailUrl);
    }

    




    public function setThumbnailUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->thumbnailUrl = $var;

        return $this;
    }

    



    public function getMediaType()
    {
        return isset($this->mediaType) ? $this->mediaType : 0;
    }

    public function hasMediaType()
    {
        return isset($this->mediaType);
    }

    public function clearMediaType()
    {
        unset($this->mediaType);
    }

    




    public function setMediaType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\ChatRowOpaqueData\DraftMessage\CtwaContextData\ContextInfoExternalAdReplyInfoMediaType::class);
        $this->mediaType = $var;

        return $this;
    }

    



    public function getMediaUrl()
    {
        return isset($this->mediaUrl) ? $this->mediaUrl : '';
    }

    public function hasMediaUrl()
    {
        return isset($this->mediaUrl);
    }

    public function clearMediaUrl()
    {
        unset($this->mediaUrl);
    }

    




    public function setMediaUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->mediaUrl = $var;

        return $this;
    }

    



    public function getIsSuspiciousLink()
    {
        return isset($this->isSuspiciousLink) ? $this->isSuspiciousLink : false;
    }

    public function hasIsSuspiciousLink()
    {
        return isset($this->isSuspiciousLink);
    }

    public function clearIsSuspiciousLink()
    {
        unset($this->isSuspiciousLink);
    }

    




    public function setIsSuspiciousLink($var)
    {
        GPBUtil::checkBool($var);
        $this->isSuspiciousLink = $var;

        return $this;
    }

}

